The average token price during the specified time period for the native asset of that chain.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/token-price-usd \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/token-price-usd?project=arbitrum"
{ "arbitrum": [ { "date": "2026-02-19", "value": 0.10317585069444445 }, { "date": "2026-02-18", "value": 0.111528 }, { "date": "2026-02-17", "value": 0.11390911458333335 }, { "date": "2026-02-16", "value": 0.11417149652777779 }, { "date": "2026-02-15", "value": 0.11712278472222223 } ] }
Project slug (comma-separated for multiple).
arbitrum
ethereum
fogo
solana
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK